summaryrefslogtreecommitdiffstats
path: root/office/kchmviewer/kchmviewer.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/kchmviewer/kchmviewer.SlackBuild')
-rw-r--r--office/kchmviewer/kchmviewer.SlackBuild21
1 files changed, 9 insertions, 12 deletions
diff --git a/office/kchmviewer/kchmviewer.SlackBuild b/office/kchmviewer/kchmviewer.SlackBuild
index ce7f72d000..d7f43922e1 100644
--- a/office/kchmviewer/kchmviewer.SlackBuild
+++ b/office/kchmviewer/kchmviewer.SlackBuild
@@ -1,11 +1,13 @@
#!/bin/sh
#
# SlackBuild script for KchmViewer.
-# Written by Michiel van Wessem (BP{k}) <michiel.van.wessem@gmail.com
+# Written by Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
# Modified by the SlackBuilds.org project
PRGNAM=kchmviewer
-VERSION=3.0
+VERSION=3.1 #
+SRCVER=3.1-2 # yes, kchmviewer is really that weird :\
+PKGVER=3.1.2 #
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -26,14 +28,16 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
rm -rf $TMP/$PRGNAM-$VERSION
cd $TMP || exit 1
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar -xzvf $CWD/$PRGNAM-$SRCVER.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+KDEPREF=$(kde-config --prefix)
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-./configure --prefix=/opt/kde \
+./configure --prefix=$KDEPREF \
--disable-debug \
--with-kde \
--program-prefix="" \
@@ -48,13 +52,6 @@ make install DESTDIR=$PKG || exit 1
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-if [ -d $PKG/opt/kde/share/man ]; then
- ( cd $PKG/opt/kde/share/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
- )
-fi
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -63,4 +60,4 @@ mkdir $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$ARCH-$BUILD$TAG.tgz